### Constructor

# Adw Avatarnew

#### Declaration [src]

    GtkWidget*
    adw_avatar_new (
      int size,
      const char* text,
      gboolean show_initials
    )

#### Description [src]

Creates a new `AdwAvatar`.

#### Parameters

`size`

  Type: `int`

  The size of the avatar.

`text`

  Type: `const char*`

  The text used to get the initials and color.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`show_initials`

  Type: `gboolean`

  Whether to use initials instead of an icon as fallback.

#### Return value

Type: `GtkWidget`

The newly created `AdwAvatar`

The data is owned by the called function.